{
    IsOnCooldown = {
        type = "bool",
        test = function(state, needle)
            return state.IsOnCooldown == (needle == 1)
        end,
    },
    IsActive = {
        type = "bool",
        test = function(state, needle)
            return state.IsActive == (needle == 1)
        end,
    },
    IsDebuff = {
        type = "bool",
        test = function(state, needle)
            return state.IsBad == (needle == 1)
        end,
    },
}